# Sediments

The module represents passive particles that have a vertical migration rate due
to sinking and vertical turbulence. Advection due to upwelling/downwelling is
not included.

Particles that reach the sea floor are immobilized. They are not resuspended.


## Usage

Modify `ladim.yaml` and `particles.rls` to suit your needs.

Common changes applied to `ladim.yaml`:
- Start date of simulation (`time_control.start_time`)
- Stop date of simulation (`time_control.stop_time`)
- Forcing input file (`gridforce.input_file`)
- Horizontal diffusion parameter (`numerics.diffusion`)
- Time step length (`numerics.dt`)
- Output frequency (`output_variables.outper`)
- Vertical diffusion parameter (`ibm.vertical_mixing`)
- Particle life span (`ibm.lifespan`)

The file `particles.rls` is a tab-delimited text file containing particle
release time and location, as well as particle attributes at the release time.
The order of the columns is given by the entry `particle_release.variables`
within `ladim.yaml`.

Finally, copy `ladim.yaml` and `particles.rls` to a separate directory and
run `ladim` here.


## Output

The simulation result is stored in a file specified by the `files.output_file`
entry in `ladim.yaml`. The output variables are specified by the
`output_variables` entries. 


## History

Created by Marcos Carvajalino Fernandez and Pål Næverlid Sævik (2019).
